Skip to main content

Retrieve Contact by Email

Retrieve a single contact by their email address.


Endpoint

GET https://api.campaignlark.com/v1/contacts/by-email

Query Parameters

ParameterTypeRequiredDescription
emailstringrequiredThe email address of the contact to retrieve.

Sample Request

GET https://api.campaignlark.com/v1/contacts/by-email?email=joffrey@example.com

Response

Success — 200 OK

{
"data": {
"id": "64f1a2b3c4d5e6f7a8b9c0d1",
"status": "SUBSCRIBED",
"tags": [
{ "id": 1, "name": "newsletter" }
],
"data": {
"email_address": "joffrey@example.com",
"first_name": "Joffrey Baratheon"
},
"statistics": {
"total_opens": 5,
"total_clicks": 2,
"total_bounces": 0,
"total_delivered": 5
},
"last_opened_at": "2024-02-14T09:00:00Z",
"last_clicked_at": null,
"created_at": "2024-01-10T08:00:00Z",
"updated_at": "2024-02-14T09:00:00Z"
}
}

Errors

StatusMessageCause
400Email address is required. Please provide a valid email address.email query parameter is missing.
404We couldn't find a contact with that email address.No contact with that email exists in the workspace.